/* Navbar container */
.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: #fff;
  padding: 10px 30px;
  /*padding: 1rem 1rem;*/
  /*border-bottom: 1px solid #ddd;*/
}

/* Logo */
#nav-logo{
    font-size: 3rem;
}

.nav-logo img {
  height: 40px;
}
.nav-logo a{
    text-decoration: none;
}

/* Nav menu */
.nav-menu {
  display: flex;
  list-style: none;
  gap: 1.5rem;
}

.nav-menu li {
  position: relative;
}

.nav-menu a {
  text-decoration: none;
  font-family: var(--font-heading);
  font-weight: 500;
  font-size: 0.9rem;
  
}

.nav-menu i {
   margin-right: 2px;
}

/* Dropdown */
.dropdown-menu {
  display: none;
  position: absolute;
  top: 100%;
  left: -110px;
  /*background: var(--buddysports-color-lightcoral-hsl);*/
  background: #FFF;
  list-style: none;
  min-width: 150px;
  border: 1px solid var(--buddysports-color-lightcoral-hsl);
  border-radius: 10px;
  padding: 0.5rem 0;
  margin-top: 0.2rem;
}

.dropdown-menu li {
  padding: 0.25rem 0.75rem;
  font-size: 0.8rem;
}

.dropdown:hover .dropdown-menu {
  display: block;
}

/* Hamburger button (hidden on desktop) */
.nav-toggle {
  display: none;
  font-size: 1.5rem;
  background: none;
  border: none;
  cursor: pointer;
}

/* Responsive: collapse menu */
@media (max-width: 768px) {
  .nav-toggle {
    display: block;
  }

  .nav-menu {
    display: none;
    position: absolute;
    top: 60px; /* below navbar */
    right: 0;
    background: #fff;
    flex-direction: column;
    width: 200px;
    border: 1px solid #ddd;
    padding: 1rem;
    z-index: 1000;
  }

  .nav-menu.active {
    display: flex;
  }

  .dropdown-menu{
        margin-top: 0;
  }
  
  .dropdown:hover .dropdown-menu {
    position: static;
    border: none;
  }
}

